Loading...
Searching...
No Matches
juce::Named< T > Struct Template Reference

## Detailed Description

template<typename T>
struct juce::Named< T >

Combines an object with a name.

Instances of Named have reference-like semantics. That is, Named stores a reference to a wrapped value, rather than storing the value internally.

Template Parameters

  T | the type of reference that is wrapped. Passing "const T" will cause the Named instance to hold a "const T&"; passing "T" will cause the Named instance to hold a "T&".

See also
  named()

The documentation for this struct was generated from the following file:

- juce_core/serialisation/juce_Serialisation.h

## Public Member Functions

auto | operator== (const Named &other) const
auto | operator!= (const Named &other) const
auto | operator< (const Named &other) const
auto | operator<= (const Named &other) const
auto | operator> (const Named &other) const
auto | operator>= (const Named &other) const

## Public Attributes

std::string_view | name
| A name that corresponds to the value.
T & | value
| A reference to a value to wrap.

## Member Functions

## operator==()

template<typename T>

auto juce::Named< T >::operator== | ( | const Named< T > & | other | ) | const

inline

## operator!=()

template<typename T>

auto juce::Named< T >::operator!= | ( | const Named< T > & | other | ) | const

inline

References JUCE_COMPARISON_OPS.

## operator<()

template<typename T>

auto juce::Named< T >::operator< | ( | const Named< T > & | other | ) | const

inline

## operator<=()

template<typename T>

auto juce::Named< T >::operator<= | ( | const Named< T > & | other | ) | const

inline

## operator>()

template<typename T>

auto juce::Named< T >::operator> | ( | const Named< T > & | other | ) | const

inline

## operator>=()

template<typename T>

auto juce::Named< T >::operator>= | ( | const Named< T > & | other | ) | const

inline

## Member Data Documentation

## name

template<typename T>

std::string_view juce::Named< T >::name

A name that corresponds to the value.

## value

template<typename T>

T& juce::Named< T >::value

A reference to a value to wrap.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited